commit 377c3e9a8b73b47a1211d43fee162179ee1f87e7
Author: Xi Ruoyao <xry111@xry111.site>
Date:   Mon May 6 11:33:43 2024 +0800

    i386: testsuite: Add -no-pie for pr113689-1.c [PR70150]
    
    For a --enable-default-pie build, using -fno-pic (for compiler) but
    not -no-pie (for linker) triggers some linker warnings counted as
    excess errors:
    
        /usr/bin/ld: /tmp/cc8MgxiR.o: warning: relocation in read-only
        section `.text.startup'
        /usr/bin/ld: warning: creating DT_TEXTREL in a PIE
    
    gcc/testsuite/ChangeLog:
    
            PR testsuite/70150
            * gcc.target/i386/pr113689-1.c (dg-options): Add -no-pie.
    
    (cherry picked from commit 331f7d8a393af99afccdb2729d4ab45797fd7a86)

diff --git a/gcc/testsuite/gcc.target/i386/pr113689-1.c b/gcc/testsuite/gcc.target/i386/pr113689-1.c
index 9b8474ed933..0424db2dfdc 100644
--- a/gcc/testsuite/gcc.target/i386/pr113689-1.c
+++ b/gcc/testsuite/gcc.target/i386/pr113689-1.c
@@ -1,5 +1,5 @@
 /* { dg-do run { target { lp64 && fpic } } } */
-/* { dg-options "-O2 -fno-pic -fprofile -mcmodel=large" } */
+/* { dg-options "-O2 -fno-pic -no-pie -fprofile -mcmodel=large" } */
 /* { dg-skip-if "PR90698" { *-*-darwin* } } */
 /* { dg-skip-if "PR113909" { *-*-solaris2* } } */
 

